org.icefaces.ace.component.roweditor

## Class RowEditorBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.roweditor.RowEditorBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IRowEditor
  Direct Known Subclasses:
    RowEditor

      public abstract class RowEditorBase
      extends javax.faces.component.UIComponentBase
      implements IRowEditor

  Renders a set of controls that reveal, submit and hide the hidden input facet of a ace:cellEditor.

  For more information, see the Row Editor Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `RowEditorBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowEditorBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCancelTitle()` Return the value of the `cancelTitle` property.
    `java.lang.String` | `getFamily()`
    `javax.el.MethodExpression` | `getRowEditCancelListener()` Return the value of the `rowEditCancelListener` property.
    `javax.el.MethodExpression` | `getRowEditListener()` Return the value of the `rowEditListener` property.
    `java.lang.String` | `getStartTitle()` Return the value of the `startTitle` property.
    `java.lang.String` | `getSubmitTitle()` Return the value of the `submitTitle` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `void` | `setCancelTitle(java.lang.String cancelTitle)` Set the value of the `cancelTitle` property.
    `void` | `setRowEditCancelListener(javax.el.MethodExpression rowEditCancelListener)` Set the value of the `rowEditCancelListener` property.
    `void` | `setRowEditListener(javax.el.MethodExpression rowEditListener)` Set the value of the `rowEditListener` property.
    `void` | `setStartTitle(java.lang.String startTitle)` Set the value of the `startTitle` property.
    `void` | `setSubmitTitle(java.lang.String submitTitle)` Set the value of the `submitTitle` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RowEditorBase

          public RowEditorBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setCancelTitle

          public void setCancelTitle(java.lang.String cancelTitle)

      Set the value of the `cancelTitle` property.

      Contents: Define a String title attribute for the cancel editing button. This will be shown as a browser tooltip when hovering over the icon. The default for this tooltip is definedin the ace messages bundle for easy i18n.

      Specified by:
        `setCancelTitle` in interface `IRowEditor`

    - #### getCancelTitle

          public java.lang.String getCancelTitle()

      Return the value of the `cancelTitle` property.

      Contents: Define a String title attribute for the cancel editing button. This will be shown as a browser tooltip when hovering over the icon. The default for this tooltip is definedin the ace messages bundle for easy i18n.

      Specified by:
        `getCancelTitle` in interface `IRowEditor`

    - #### setRowEditCancelListener

          public void setRowEditCancelListener(javax.el.MethodExpression rowEditCancelListener)

      Set the value of the `rowEditCancelListener` property.

      Contents: MethodExpression reference called whenever a table row editing is canceled. The method receives a single argument, RowEditCancelEvent.

      Specified by:
        `setRowEditCancelListener` in interface `IRowEditor`

    - #### getRowEditCancelListener

          public javax.el.MethodExpression getRowEditCancelListener()

      Return the value of the `rowEditCancelListener` property.

      Contents: MethodExpression reference called whenever a table row editing is canceled. The method receives a single argument, RowEditCancelEvent.

      Specified by:
        `getRowEditCancelListener` in interface `IRowEditor`

    - #### setRowEditListener

          public void setRowEditListener(javax.el.MethodExpression rowEditListener)

      Set the value of the `rowEditListener` property.

      Contents: MethodExpression reference called whenever a table row is edited. The method receives a single argument, RowEditEvent.

      Specified by:
        `setRowEditListener` in interface `IRowEditor`

    - #### getRowEditListener

          public javax.el.MethodExpression getRowEditListener()

      Return the value of the `rowEditListener` property.

      Contents: MethodExpression reference called whenever a table row is edited. The method receives a single argument, RowEditEvent.

      Specified by:
        `getRowEditListener` in interface `IRowEditor`

    - #### setStartTitle

          public void setStartTitle(java.lang.String startTitle)

      Set the value of the `startTitle` property.

      Contents: Define a String title attribute for the begin editing button. This will be shown as a browser tooltip when hovering over the icon. The default for this tooltip is definedin the ace messages bundle for easy i18n.

      Specified by:
        `setStartTitle` in interface `IRowEditor`

    - #### getStartTitle

          public java.lang.String getStartTitle()

      Return the value of the `startTitle` property.

      Contents: Define a String title attribute for the begin editing button. This will be shown as a browser tooltip when hovering over the icon. The default for this tooltip is definedin the ace messages bundle for easy i18n.

      Specified by:
        `getStartTitle` in interface `IRowEditor`

    - #### setSubmitTitle

          public void setSubmitTitle(java.lang.String submitTitle)

      Set the value of the `submitTitle` property.

      Contents: Define a String title attribute for the finish editing row button. This will be shown as a browser tooltip when hovering over the icon. The default for this tooltip is definedin the ace messages bundle for easy i18n.

      Specified by:
        `setSubmitTitle` in interface `IRowEditor`

    - #### getSubmitTitle

          public java.lang.String getSubmitTitle()

      Return the value of the `submitTitle` property.

      Contents: Define a String title attribute for the finish editing row button. This will be shown as a browser tooltip when hovering over the icon. The default for this tooltip is definedin the ace messages bundle for easy i18n.

      Specified by:
        `getSubmitTitle` in interface `IRowEditor`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.